<?php
/**
 * @package Luzuk Premium
 */

function total_dymanic_styles(){
    global $post;
    $primColor = get_theme_mod( 'lz_fitness_template_color', '#fe9955' );
    // $color_rgba = total_hex2rgba($color, 0.9);
    // echo 'light color: '.
    // $color_rgba = lz_fitness_hex2rgba($primColor, 0.9);
    $color_rgba = totalColourBrightness($primColor, 0.3);
    // echo '<br>Dark color: '.
    $darker_color = totalColourBrightness($primColor, -0.5);
 
    $header_image = get_header_image();
    // DYNAMIC FONTS
    // echo '<br> heading font '.
    $headeingFontRow = get_theme_mod('lz_fitness_general_headeing_font', '22');
    // echo '<br> text font '.
    $textFontRow = get_theme_mod('lz_fitness_general_text_font', '22');
    $header = get_theme_mod('header_textcolor', '#666666'); //header color
    $headingFont = getFonts(false, (int)$headeingFontRow);
    $textFont = getFonts(false, (int)$textFontRow);
    $custom_css = '';
    $custom_css = " body, * {font-family: $textFont;}
    h2.lz-about-heading, h2.lz-facility-heading, .ht-section-title, .lz-fitness-h2, .ht-title-wrap, .ht-slide-cap-title, .ht-slide-cap-title span, #ht-princing-post-section .ht-princing-icon,h1, h2, h3, h4, h5, h6,#pricing-page .ht-princing-icon .ht-slide-cap-descmore a{font-family: $headingFont; }
        header#ht-masthead .main-header { background: #fe9955 url('$header_image'); background-repeat: no-repeat; background-size: cover;}
        #ht-masthead, .ht-site-description a, .page-template-home-template .ht-main-navigation .menu-item > a, .ht-main-navigation a, .ht-main-navigation ul ul a {color: #{$header};}
    .page-template-home-template .ht-main-navigation .current_page_item > a {color: #fff;}
    li.current_page_item > a {color: #ffffff;}
    ";

    $custom_css .= "
    button,
    input[type='button'],
    input[type='reset'],
    input[type='submit'],
    .widget-area .widget-title:after,
    h3#reply-title:after,
    h3.comments-title:after,
    .nav-previous a,
    .nav-next a,
    .pagination .page-numbers,    
    .ht-progress-bar-length,


    .ht-service-post-wrap:after,
    .ht-service-icon,
    .ht-counter:after,
    .ht-counter:before,
    .ht-testimonial-wrap .bx-wrapper .bx-controls-direction a,
    .ht-cta-buttons a.ht-cta-button1,
    .ht-cta-buttons a.ht-cta-button2:hover,
    #ht-back-top:hover,
    .entry-readmore a,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce nav.woocommerce-pagination ul li a, 
    .woocommerce nav.woocommerce-pagination ul li span,
    .woocommerce span.onsale,
    .woocommerce div.product .woocommerce-tabs ul.tabs li.active,
    .woocommerce #respond input#submit.disabled, 
    .woocommerce #respond input#submit:disabled, 
    .woocommerce #respond input#submit:disabled[disabled], 
    .woocommerce a.button.disabled, .woocommerce a.button:disabled, 
    .woocommerce a.button:disabled[disabled], 
    .woocommerce button.button.disabled, 
    .woocommerce button.button:disabled, 
    .woocommerce button.button:disabled[disabled], 
    .woocommerce input.button.disabled, 
    .woocommerce input.button:disabled, 
    .woocommerce input.button:disabled[disabled],
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-range,
    .woocommerce-MyAccount-navigation-link a,
    .plan-amount,
    .readmore a,
    .page-main-header,
    #ht-contactus-wrap .contact-page-form,
    .contact-mapbox iframe,
    #content-box ol li:before,
    .ht-slide-cap-descmore a,
    .days-time-day,
    .lz-facility-text ul li i,
    .facility-icon,
    #blog-box .blog-read-more a,
    .pagingation .current,
    .pagingation a:hover,
    .sect-height-appointment-box,
    .ht-appintment-member-wrap:after,
    main#innerpage-box h6.faq-title,
    .woocommerce ul.products li.product .button,
    .ht-main-navigation ul ul

    {
        background:{$primColor};
    }

    
    .ht-post-info .entry-date span.ht-day,
    .entry-categories .fa,
    .widget-area a:hover,
    .comment-list a:hover,
    .no-comments,
    .ht-site-title a,
    .woocommerce .woocommerce-breadcrumb a:hover,
    #total-breadcrumbs a:hover,
    .ht-featured-link a,
    .ht-portfolio-cat-name-list .fa,
    .ht-portfolio-cat-name:hover, 
    .ht-portfolio-cat-name.active,
    .ht-portfolio-caption a,
    .ht-team-detail,
    .ht-counter-icon,
    .woocommerce ul.products li.product .price,
    .woocommerce div.product p.price, 
    .woocommerce div.product span.price,
    .woocommerce .product_meta a:hover,
    .woocommerce-error:before, 
    .woocommerce-info:before, 
    .woocommerce-message:before,
    .featured-post:after,
    .featured-post:before,
    .featured-link a,
    .breadcrumbbox a,
    #ht-colophon .social-profile-icons a:hover,
    footer#ht-colophon ul li a:hover,
    .ht-footer .textwidget .fa,
    h6.secondry-text,
    .pluses.text-right i.fa.fa-plus,
    .ht-section-tagline.lz-newslatter-text b,
    #content-box ul li:before,
    .offtimebox h4.offtime-text,
    #ht-masthead .header-social-links span:hover,
    .ht-slider-highlighttext,
    .edit-link a,
    .inner-blog-post .socialMedia a:hover,
    #comments a, 
    #commentsAdd a,
    #content-box a i:hover,
    #respond .stars span a,
    #content-box .socialMedia a:hover,
    #innerpage-box .testimonial-content h6,
    main#innerpage-box .designation-text,
    main#innerpage-box .page-testimonial-box i.fa.fa-quote-left,
    .lz-fitness-time div:nth-child(8) div.days-time-day
    {
        color:{$primColor};
    }

    .ht-featured-link a,
    .ht-counter,
    .ht-testimonial-wrap .bx-wrapper img,
    .ht-blog-post,
    #ht-colophon,
    .woocommerce ul.products li.product:hover, 
    .woocommerce-page ul.products li.product:hover,
    .woocommerce #respond input#submit, 
    .woocommerce a.button, 
    .woocommerce button.button, 
    .woocommerce input.button,
    .woocommerce ul.products li.product:hover .button,
    .woocommerce #respond input#submit.alt, 
    .woocommerce a.button.alt, 
    .woocommerce button.button.alt, 
    .woocommerce input.button.alt,
    .woocommerce div.product .woocommerce-tabs ul.tabs,
    .woocommerce #respond input#submit.alt.disabled, 
    .woocommerce #respond input#submit.alt.disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled, 
    .woocommerce #respond input#submit.alt:disabled:hover, 
    .woocommerce #respond input#submit.alt:disabled[disabled], 
    .woocommerce #respond input#submit.alt:disabled[disabled]:hover, 
    .woocommerce a.button.alt.disabled, 
    .woocommerce a.button.alt.disabled:hover, 
    .woocommerce a.button.alt:disabled, 
    .woocommerce a.button.alt:disabled:hover, 
    .woocommerce a.button.alt:disabled[disabled], 
    .woocommerce a.button.alt:disabled[disabled]:hover, 
    .woocommerce button.button.alt.disabled, 
    .woocommerce button.button.alt.disabled:hover, 
    .woocommerce button.button.alt:disabled, 
    .woocommerce button.button.alt:disabled:hover, 
    .woocommerce button.button.alt:disabled[disabled], 
    .woocommerce button.button.alt:disabled[disabled]:hover, 
    .woocommerce input.button.alt.disabled, 
    .woocommerce input.button.alt.disabled:hover, 
    .woocommerce input.button.alt:disabled, 
    .woocommerce input.button.alt:disabled:hover, 
    .woocommerce input.button.alt:disabled[disabled], 
    .woocommerce input.button.alt:disabled[disabled]:hover,
    .woocommerce .widget_price_filter .ui-slider .ui-slider-handle
    .ht-main-navigation .current_page_item > a,
    .ht-main-navigation .current-menu-item > a,
    .ht-main-navigation .current_page_ancestor > a,
    .ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation li:hover > a,
    .home.blog .ht-main-navigation li:hover > a,
    .page-template-home-template .ht-main-navigation .current > a,
    .home.blog .ht-main-navigation .current > a,
    .featured-post:before,
    #blog-box .blog-read-more a,
    main#innerpage-box .page-testimonial-box:hover,
    .woocommerce ul.products li.product:hover, .woocommerce-page ul.products li.product:hover, 
     #ht-masthead .header-social-links span:hover,
    main#innerpage-box .testwidth:before,
    main#innerpage-box .testwidth,
    #innerpage-box .pricing-icon,
    main#innerpage-box .faq-content.padding0 p,
    main#innerpage-box .faq-content.padding0 p:before,
    .woocommerce ul.products li.product .button,
    .newsletter-form-box input[type='email']
    {
        border-color: {$primColor};
    }

    #ht-masthead,
    .woocommerce-error, 
    .woocommerce-info, 
    .woocommerce-message{
        border-top-color: {$primColor};
    }

    .nav-next a:after{
        border-left-color: {$primColor};
    }

    .nav-previous a:after{
        border-right-color: {$primColor};
    }

    .ht-active .ht-service-icon{
        box-shadow: 0px 0px 0px 2px #FFF, 0px 0px 0px 4px {$primColor};
    }

    .woocommerce ul.products li.product .onsale:after{
        border-color: transparent transparent {$darker_color} {$darker_color};
    }

    .woocommerce span.onsale:after{
        border-color: transparent {$darker_color} {$darker_color} transparent
    }


    @media screen and (max-width: 1000px){
        .toggle-bar,
        .ht-main-navigation .ht-menu{
            background:{$primColor}
        }
    }";
    
    
    // heading text colour 
    $headingColor = get_theme_mod('lz_fitness_title_color', '#fe5722');
    $custom_css .= '.title-color{color:'.$headingColor.';}';

    // START SECONDARY COLOR CSS
    $secondary = get_theme_mod('theme_secondary_color', '#ffffff');
    $custom_css .='
   .secondry-bg{
       // background-color:'.$secondary.'
    }    
     
     
     {border-color: '.$secondary.';}
 
    #ht-newslatter-section .lz-newslatter-heading,
    
     {color:'.$secondary.';}     
 
     
     {border-color: '.$secondary.';}
     
    
     {background-color:'.$secondary.'}
        ';
    // ENDS SECONDARY COLOR CSS
    
    if(get_theme_mod('lz_fitness_premium_featured_section_background') == 'on' ){
        $custom_css .= '#featured-post-section {background-image: url(\''.get_theme_mod('lz_fitness_featured_bg_image').'\');background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_featured_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#featured-post-section, .ht-featured-icon {background-color: '.$color.';}
            .ht-featured-link a {border-color: '.$color.';color: '.$color.';}
             #featured-post-section, .ht-featured-icon{}
            ';
        }else{
            $custom_css .= '#featured-post-section {background-color: '.$color.';color:#666;}';
        }
    }
   
//about meditation class section
if(get_theme_mod('lz_fitness_premium_aboutmeditationclass_section_background') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_aboutmeditationclass_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= 'section#ht-aboutmeditationclass-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_aboutmeditationclass_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= 'section#ht-aboutmeditationclass-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }

$aboutmeditationclassTitleColor = get_theme_mod('lz_fitness_aboutmeditationclass_HeadingColor', '#4f4f4f');
$aboutmeditationclassTextColor = get_theme_mod('lz_fitness_aboutmeditationclass_TextColor', '#feac65');
$aboutmeditationclasscontentColor = get_theme_mod('lz_fitness_aboutmeditationclass_contentColor', '#4f4f4f');
$aboutmeditationclassButtonColor = get_theme_mod('lz_fitness_aboutmeditationclass_ButtonColor', '#feac65');
$aboutmeditationclassButtonTextColor = get_theme_mod('lz_fitness_aboutmeditationclass_ButtonTextColor', '#ffffff');
$aboutmeditationclassButtonBackgroundhovercolor = get_theme_mod('lz_fitness_aboutmeditationclass_ButtonBackgroundhoverColor', '#4f4f4f');
$aboutmeditationclasstexthoverColor = get_theme_mod('lz_fitness_aboutmeditationclass_ButtonBackgroundtexthoverColor', '#ffffff');

$custom_css .= 'h2.ht-section-title.lz-aboutmeditationclass-heading{color: '.$aboutmeditationclassTitleColor.';}
section#ht-aboutmeditationclass-section .lz-fitness-aboutmeditationclass-subheading{color: '.$aboutmeditationclassTextColor.';}
section#ht-aboutmeditationclass-section .Meditation-text-box{color: '.$aboutmeditationclasscontentColor.';}
section#ht-aboutmeditationclass-section .aboutmeditationclass-readmore a{background-color: '.$aboutmeditationclassButtonColor.';}
section#ht-aboutmeditationclass-section .aboutmeditationclass-readmore a{color: '.$aboutmeditationclassButtonTextColor.';}
section#ht-aboutmeditationclass-section .aboutmeditationclass-readmore a:hover{background-color: '.$aboutmeditationclassButtonBackgroundhovercolor.';}
section#ht-aboutmeditationclass-section .aboutmeditationclass-readmore a:hover{color: '.$aboutmeditationclasstexthoverColor.';}';



    // Services section 
    if(get_theme_mod('lz_fitness_premium_services_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_services_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#services-post-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_services_bg_color', '#eaeaea');
        if('#eaeaea' != $color){
            $custom_css .= '#services-post-section {background-color: '.$color.';}';
        }
    } 
    // Team section 
    if(get_theme_mod('lz_fitness_premium_team_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_team_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#ht-team-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_team_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#ht-team-section {background-color: '.$color.';}';
        }
    } 
    // Video section
        if(get_theme_mod('lz_fitness_premium_video_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_video_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#video-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_video_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#video-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }
    //Video section
$videoHeadingColor = get_theme_mod('lz_fitness_video_HeadingColor', '#4f4f4f');
$custom_css .= 'h2.ht-section-title.video-heading {color: '.$videoHeadingColor.';}';

      // Banner section 
    if(get_theme_mod('lz_fitness_premium_banner_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_banner_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#banner-content-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_banner_bg_color', '#f6f6f6');
        if('#f6f6f6' != $color){
            $custom_css .= '#banner-content-section {background-color: '.$color.';}';
        }
    } 
    //facility-section
    if(get_theme_mod('lz_fitness_premium_facility_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_facility_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#facility-content-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_facility_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '#facility-content-section {background-color: '.$color.';}';
        }
    } 

    // Featured Product section
        if(get_theme_mod('lz_fitness_premium_featuredproduct_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_featuredproduct_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= '#featured-product-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_featuredproduct_bg_color', '#ea70a1');
        if('#ea70a1' != $color){
            $custom_css .= '#featured-product-section {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }
    // Gallary section 
    if(get_theme_mod('lz_fitness_premium_gallery_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_gallery_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.jpg';
        
        $custom_css .= 'section#ht-gallery-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_gallery_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= 'section#ht-gallery-section {background-color: '.$color.';}';
        }
    } 
    // gym 
    if(get_theme_mod('lz_fitness_premium_gym_section_background') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_gym_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#time-address-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_gym_bg_color', '#ffffff');
        if('#ffffff' != $color){
            $custom_css .= '#time-address-section {background-color: '.$color.';} .time-post{border-color:'.$color.';}';
        }
    }
    //blog

    if(get_theme_mod('lz_fitness_premium_blog_section_background','off') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_blog_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/default-gray.png';
        
        $custom_css .= '#ht-blog-section {background-image: url("'.$img.'");background-position: top;background-size: cover;}'; 
    }else{
        $color = get_theme_mod('lz_fitness_blog_bg_color', '#fff');
        if('#fff' != $color){
            $custom_css .= '#ht-blog-section {background-color: '.$color.';}';
        }
    } 

    // For Footer

    if(get_theme_mod('lz_fitness_premium_footer_section_background','on') == 'on' ){
        
        $bgimg = get_theme_mod('lz_fitness_footer_bg_image');
        $img = !empty($bgimg)?$bgimg:get_template_directory_uri().'/images/footer-bg.jpg';
        
        $custom_css .= '#ht-colophon {background-image: url("'.$img.'");background-position: top;background-size: cover;}';
    }else{
        $color = get_theme_mod('lz_fitness_footer_bg_color', '#2a2a2a');
        if('#2a2a2a' != $color){
            $custom_css .= '#ht-colophon {background-color: '.$color.';} .about-post{border-color:'.$color.';}';
        }
    }

 // main header background color
    $HeaderbgColor = get_theme_mod('lz_fitness_header_backgroundColor', '#fff');
    $HeaderemailColor = get_theme_mod('lz_fitness_header_emailColor', '#fff');
    $HeaderemailiconColor = get_theme_mod('lz_fitness_header_emailiconColor', '#fff');
    $HeadertimeColor = get_theme_mod('lz_fitness_header_timeColor', '#fff');
    $HeadertimeiconColor = get_theme_mod('lz_fitness_header_timeiconColor', '#fff');

    $HeadersearchborderColor = get_theme_mod('lz_fitness_header_searchborderColor', '#fff');
    $HeadersearchtextColor = get_theme_mod('lz_fitness_header_searchtextColor', '#fff');
    $HeadersearchiconColor = get_theme_mod('lz_fitness_header_searchiconColor', '#fff');

    $HeadersocialColor = get_theme_mod('lz_fitness_header_socialColor', '#EC5598');
    $HeadersocialborderColor = get_theme_mod('lz_fitness_header_socialborderColor', '#EC5598');
    $HeadersocialhoverColor = get_theme_mod('lz_fitness_header_socialhoverColor', '#6A1B9A');
    $HeadersocialborderhoverColor = get_theme_mod('lz_fitness_header_socialborderhoverColor', '#6A1B9A');
    $HeaderphonetitleColor = get_theme_mod('lz_fitness_header_phonetitleColor', '#fff');
    $HeaderphoneColor = get_theme_mod('lz_fitness_header_phoneColor', '#fff');
    $HeaderemailhoverColor = get_theme_mod('lz_fitness_header_emailhoverColor', '#4f4f4f');
   $headerformplacetextColor = get_theme_mod('lz_fitness_header_headerformplacetextColor', '#fff');
   $headerheaderbgssclrColorColor = get_theme_mod('lz_fitness_header_headerbgssclrColor', '#fd9854');

    $custom_css .= '.lower-header  {background-color: '.$HeaderbgColor.';}
    #ht-masthead ul.header-menu-links li.mailto a{color: '.$HeaderemailColor.';}
    #ht-masthead ul.header-menu-links li a i{color: '.$HeaderemailiconColor.';}
    #ht-masthead ul.header-menu-links li.themetext{color: '.$HeadertimeColor.';}
    #ht-masthead ul.header-menu-links li i{color: '.$HeadertimeiconColor.';}
    #ht-masthead .header-social-links span{color: '.$HeadersocialColor.';}
    #ht-masthead .header-social-links span{border-color: '.$HeadersocialborderColor.';}
       #ht-masthead .header-social-links span:hover{color: '.$HeadersocialhoverColor.';}
    #ht-masthead .header-social-links span:hover{border-color: '.$HeadersocialborderhoverColor.';}
    .contact-border .themetext{color: '.$HeaderphonetitleColor.';}
    .contact-border .themedata{color: '.$HeaderphoneColor.';}
    #ht-masthead input[type="search"]{border-color: '.$HeadersearchborderColor.';}
    #ht-masthead input[type="search"]{color: '.$HeadersearchtextColor.';}
    #ht-masthead span.sb-icon-search{color: '.$HeadersearchiconColor.';}
    #ht-masthead ul.header-menu-links li.mailto a:hover{color: '.$HeaderemailhoverColor.';}
    #ht-masthead input[type="search"]::placeholder{color: '.$headerformplacetextColor.';}
    header#ht-masthead .main-header{background-color: '.$headerheaderbgssclrColorColor.';}';

    //Header Menu Color
     $headermenuColor = get_theme_mod('lz_fitness_headermenu_color', '#2b2b2b');
     $headersubmenuColor = get_theme_mod('lz_fitness_headersubmenu_color', '#fff');
     $headersubmenubgColor = get_theme_mod('lz_fitness_headersubmenubg_color', '#fe9955');
    $headersubmenuhoverColor = get_theme_mod('lz_fitness_headersubmenuhover_color', '#000');
     $headersubmenubghoverColor = get_theme_mod('lz_fitness_headersubmenubghover_color', '#fff');
     $headersubmenuborderColor = get_theme_mod('lz_fitness_headersubmenuborder_color', '#fdb46d');
     $headercurrentmenuColor = get_theme_mod('lz_fitness_headercurrentmenu_color', '#fe9955');
      $headerhovertmenuColor = get_theme_mod('lz_fitness_headerhovermenu_color', '#fe9955');

      $headerlogoboxbgssColor = get_theme_mod('lz_fitness_header_logoboxbgssColor', '#fff');
      $headerlogoboxbgssborderColor = get_theme_mod('lz_fitness_header_logoboxbgssborderColor', '#fdb46d');
      $headernavigationuborderclr = get_theme_mod('lz_fitness_headernavigationuborderclr_color', '#fdb46d');
      $headerbarclrColor = get_theme_mod('lz_fitness_header_barclrColor', '#ffffff');
     
      
     $headernavbgColor = get_theme_mod('lz_fitness_headernavigationubg_color', '#ffffff');
     $headerheaderrightcontentbgColor = get_theme_mod('lz_fitness_headerrightcontentbg_color', '#6A1B9A');
     $custom_css .= '.ht-main-navigation li a{color: '.$headermenuColor.';}
     .ht-main-navigation ul ul a{color: '.$headersubmenuColor.';}
     .ht-main-navigation ul ul{background-color: '.$headersubmenubgColor.';}
     nav#ht-site-navigation ul ul li a:hover{color: '.$headersubmenuhoverColor.';}
    nav#ht-site-navigation ul ul li a:hover{background-color: '.$headersubmenubghoverColor.';}
     .ht-main-navigation ul ul{border-color: '.$headersubmenuborderColor.';}
     .ht-main-navigation li.current_page_item a, .page-template-home-template .ht-main-navigation .current_page_item > a{color: '.$headercurrentmenuColor.';}
    nav#ht-site-navigation ul li a:hover {color: '.$headerhovertmenuColor.';}

     #ht-site-navigation{background-color: '.$headernavbgColor.';}
     #ht-masthead .header-box{background-color: '.$headerheaderrightcontentbgColor.';}
    .logobox, .mobile--logobox{background-color: '.$headerlogoboxbgssColor.';}
    .logobox, .mobile--logobox{border-color: '.$headerlogoboxbgssborderColor.';}
    #ht-masthead .header-about-theme{border-color: '.$headernavigationuborderclr.';}
    #ht-masthead ul.header-menu-links li:after{border-color: '.$headerbarclrColor.';}';

     // slider color
    $slidertitleColor = get_theme_mod('lz_fitness_slider_TitleColor', '#fff');
    $slidersubtitleColor = get_theme_mod('lz_fitness_slider_SubtitleColor', '#fff');
    $sliderbuttontextColor = get_theme_mod('lz_fitness_slider_buttontextColor', '#fff');
    $sliderbtnbgColor = get_theme_mod('lz_fitness_slider_buttonbgColor', '#fe9955');
    $sliderbuttontexthoverColor = get_theme_mod('lz_fitness_slider_buttontexthoverColor', '#fff');
    $sliderbtnbghoverColor = get_theme_mod('lz_fitness_slider_buttonbghoverColor', '#000');
    $sliderbtnborderhoverColor = get_theme_mod('lz_fitness_slider_buttonborderhoverColor', '#fe9955');
    $custom_css .= '.ht-slide-cap-title span, .ht-slide-cap-title {color: '.$slidertitleColor.';}
    .ht-slide-cap-desc, .ht-slide-cap-desc span {color: '.$slidersubtitleColor.';}
    .ht-slide-cap-descmore a {color: '.$sliderbuttontextColor.';}
    .ht-slide-cap-descmore a {background-color: '.$sliderbtnbgColor.';}
    .ht-slide-cap-descmore a:hover{color: '.$sliderbuttontexthoverColor.';}
    .ht-slide-cap-descmore a:hover{background-color: '.$sliderbtnbghoverColor.';}
    .ht-slide-cap-descmore a:hover{border-color: '.$sliderbtnborderhoverColor.';}';

      //Sticky Section Color
     $stickybgColor = get_theme_mod('lz_fitness_stickysectionbgColor', '#82B440');
     $stickyiconColor = get_theme_mod('lz_fitness_sticky_iconColor', '#fff');
     $stickytitleColor = get_theme_mod('lz_fitness_sticky_titleColor', '#363636');
     $custom_css .= '#sticky-section{background-color: '.$stickybgColor.';}
     .sticky-icon span{color: '.$stickyiconColor.';}
     #sticky-section h5{color: '.$stickytitleColor.';}';

    //Footer background color
    $footertitleColor = get_theme_mod('lz_fitness_footer_title_color', '#fff');
    $footericonColor = get_theme_mod('lz_fitness_footer_icon_color', '#ffffff');
    $footericonhoverColor = get_theme_mod('lz_fitness_footer_iconhover_color', '#fd9b56');
    $footertextColor = get_theme_mod('lz_fitness_footer_text_color', '#757575');
    $footermenuColor = get_theme_mod('lz_fitness_footer_menu_color', '#757575');
    $footermenuhoverColor = get_theme_mod('lz_fitness_footer_menuhover_color', '#fd9b56');
     $footermenudateColor = get_theme_mod('lz_fitness_footer_menudate_color', '#757575');
    $footerformColor = get_theme_mod('lz_fitness_footer_form_color', '#757575');
    $footerformborderColor = get_theme_mod('lz_fitness_footer_formborder_color', '#fff');
    $footerformbgColor = get_theme_mod('lz_fitness_footer_formbg_color', '#fff');
    $footerbtnColor = get_theme_mod('lz_fitness_footer_formbtn_color', '#fff');
    $footerbtnbgColor = get_theme_mod('lz_fitness_footer_formbtnbg_color', '#fd9a56');
    $footersocialColor = get_theme_mod('lz_fitness_footer_social_color', '#ffffff');
    $footersocialhoverColor = get_theme_mod('lz_fitness_footer_socialhover_color', '#fd9b56');
    $footersocialborderhoverColor = get_theme_mod('lz_fitness_footer_socialborderhover_color', '#fd9b56');
    $footercopyrighttextColor = get_theme_mod('lz_fitness_footer_copyrighttext_color', '#ffffff');
    $footerbottombrssmenumenuColor = get_theme_mod('lz_fitness_footer_bottombrssmenumenu_color', '#989898');
    $footermenuiconclrColor = get_theme_mod('lz_fitness_footer_menuiconclr_color', '#989898');
    $footersocialborderColor = get_theme_mod('lz_fitness_footer_socialborder_color', '#989898');
    $footertabelborderColor = get_theme_mod('lz_fitness_footer_tabelborder_color', '#989898');
    $footermenuiconclrhoverColor = get_theme_mod('lz_fitness_footer_menuiconclrhover_color', '#fd9b56');
    $footerbottombrsshovermenumenuColor = get_theme_mod('lz_fitness_footer_bottombrsshovermenumenu_color', '#989898');
    $custom_css .= '#ht-colophon .widget-title{color: '.$footertitleColor.';}
    footer#ht-colophon p i{color: '.$footericonColor.';}
    footer#ht-colophon p i:hover{color: '.$footericonhoverColor.';}
    footer#ht-colophon p, .ht-footer table tr{color: '.$footertextColor.';}
   footer#ht-colophon ul li a{color: '.$footermenuColor.';}
   footer#ht-colophon ul li span.post-date{color: '.$footermenudateColor.';}
    footer#ht-colophon ul li a:hover{color: '.$footermenuhoverColor.';}
   .ht-top-footer input[type="email"], .ht-top-footer input[type="email"]::placeholder, footer#ht-colophon input[type="text"], 
input[type="email"], 
input[type="url"], 
input[type="password"], 
input[type="search"], 
input[type="number"], 
input[type="tel"], 
input[type="range"], 
input[type="date"], 
input[type="month"], 
input[type="week"], 
input[type="time"], 
input[type="datetime"], 
input[type="datetime-local"], 
input[type="color"], footer#ht-colophon textarea, footer#ht-colophon input[type="text"]::placeholder, footer#ht-colophon textarea::placeholder{color: '.$footerformColor.';}
   .ht-top-footer input[type="email"], footer#ht-colophon input[type="text"], 
input[type="email"], 
input[type="url"], 
input[type="password"], 
input[type="search"], 
input[type="number"], 
input[type="tel"], 
input[type="range"], 
input[type="date"], 
input[type="month"], 
input[type="week"], 
input[type="time"], 
input[type="datetime"], 
input[type="datetime-local"], 
input[type="color"], footer#ht-colophon textarea{border-color: '.$footerformborderColor.';}
   .ht-top-footer input[type="email"], footer#ht-colophon input[type="text"], 
input[type="email"], 
input[type="url"], 
input[type="password"], 
input[type="search"], 
input[type="number"], 
input[type="tel"], 
input[type="range"], 
input[type="date"], 
input[type="month"], 
input[type="week"], 
input[type="time"], 
input[type="datetime"], 
input[type="datetime-local"], 
input[type="color"], footer#ht-colophon textarea{background-color: '.$footerformbgColor.';}
    .ht-top-footer input[type="submit"]{color: '.$footerbtnColor.';}
  .ht-top-footer input[type="submit"]{background-color: '.$footerbtnbgColor.';}
   .social-profile-icons ul li i{color: '.$footersocialColor.';}
     .social-profile-icons ul li i:hover{color: '.$footersocialhoverColor.';}
  footer#ht-colophon .social-profile-icons ul li:hover{border-color: '.$footersocialborderhoverColor.';}
    .ht-site-info{color: '.$footercopyrighttextColor.';}
    .ht-footer ul li{border-color: '.$footerbottombrssmenumenuColor.';}
    .ht-top-footer ul li:before{color: '.$footermenuiconclrColor.';}
    footer#ht-colophon .social-profile-icons ul li{border-color: '.$footersocialborderColor.';}
    .ht-footer table tr{border-color: '.$footertabelborderColor.';}
    .ht-top-footer ul li:hover:before{color: '.$footermenuiconclrhoverColor.';}
    .ht-footer ul li:hover{border-color: '.$footerbottombrsshovermenumenuColor.';}';

       //Inner page title color
    $innertitleColor = get_theme_mod('lz_fitness_template_innerpage_titlecolor', '#fff');
    $innertitlebgColor = get_theme_mod('lz_fitness_template_innerpage_bgcolor', '#fd9d58');
    $innerbreadcrumbtitleColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbtitlecolor', '#000');
    $innerbreadcrumbcurrenttitleColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', '#fd9d58');
    $innerbreadcrumbbgeColor = get_theme_mod('lz_fitness_template_innerpage_breadcrumbbgcolor', '#fff');
    $custom_css .= '.ht-main-title, .single-productpage .ht-main-title {color: '.$innertitleColor.';}
    .page-main-header {background-color: '.$innertitlebgColor.';}
    .breadcrumbbox span{color: '.$innerbreadcrumbtitleColor.';}
    .breadcrumbbox span a {color: '.$innerbreadcrumbcurrenttitleColor.';}
    .breadcrumbbox {background-color: '.$innerbreadcrumbbgeColor.';}';

    // Inner contact us page background color
    $ContactusdetailiconColor = get_theme_mod('lz_fitness_contactus_detailiconColor', '#444');
    $ContactusdetailtitleColor = get_theme_mod('lz_fitness_contactus_detailtitleColor', '#444');
    $ContactusdetailinfoColor = get_theme_mod('lz_fitness_contactus_detailinfoColor', '#444');
    $ContactusdetailemailColor = get_theme_mod('lz_fitness_contactus_detailemailColor', '#fd9e59');
    $ContactusdetailemailhoverColor = get_theme_mod('lz_fitness_contactus_detailemailhoverColor', '#444');
    $ContactusformtitleColor = get_theme_mod('lz_fitness_contactus_formtitleColor', '#fff');
    $ContactusformbgColor = get_theme_mod('lz_fitness_contactus_formbgColor', '#fd9e59');
    $ContactusformlabelColor = get_theme_mod('lz_fitness_contactus_formlabelColor', '#fff');
    $ContactusformtextplaceColor = get_theme_mod('lz_fitness_contactus_formtextplaceColor', '#fff');
    $ContactusformborderbottomColor = get_theme_mod('lz_fitness_contactus_formborderbottomColor', '#fff');
    $ContactusformbtnColor = get_theme_mod('lz_fitness_contactus_formbtnColor', '#fd9e59');
    $ContactusformbtnbgColor = get_theme_mod('lz_fitness_contactus_formbtnbgColor', '#fff');
     $ContactusformbtnhoverColor = get_theme_mod('lz_fitness_contactus_formbtnhoverColor', '#000000');
    $ContactusformbtnbghoverColor = get_theme_mod('lz_fitness_contactus_formbtnbghoverColor', '#ffffff');
     $ContactusformdtextColor = get_theme_mod('lz_fitness_contactus_formdtextColor', '#fff');
    $ContactussocialtitleColor = get_theme_mod('lz_fitness_contactus_SocialtitleColor', '#303030');
    $ContactussocialColor = get_theme_mod('lz_fitness_contactus_SocialTitleColor', '#fd9e59');
    $ContactussocialborderColor = get_theme_mod('lz_fitness_contactus_SocialborderColor', '#fd9e59');
    $ContactussocialhoverColor = get_theme_mod('lz_fitness_contactus_SocialTitlehoverColor', '#444');
    $ContactussocialborderhoverColor = get_theme_mod('lz_fitness_contactus_SocialborderhoverColor', '#444');
    $ContactusmapbgColor = get_theme_mod('lz_fitness_contactus_mapbgColor', '#fd9e59');
    $custom_css .= '.contact-page-address .ht-section-tagline{color: '.$ContactusdetailtitleColor.';}
    .contact-page-address .ht-section-tagline span {color: '.$ContactusdetailiconColor.';}
    .contact-page-address .contact-info {color: '.$ContactusdetailinfoColor.';}
    .contact-page-address a {color: '.$ContactusdetailemailColor.';}
     main#innerpage-box div#ht-contactus-wrap a:hover {color: '.$ContactusdetailemailhoverColor.';}
    #ht-contactus-wrap h4 {color: '.$ContactusformtitleColor.';}
    #ht-contactus-wrap .contact-page-form {background-color: '.$ContactusformbgColor.';}
    #ht-contactus-wrap label {color: '.$ContactusformlabelColor.';}
     #ht-contactus-wrap input[type="text"], 
     #ht-contactus-wrap input[type="email"], 
     #ht-contactus-wrap input[type="url"], 
     #ht-contactus-wrap input[type="password"], 
     #ht-contactus-wrap input[type="search"], 
     #ht-contactus-wrap input[type="number"], 
     #ht-contactus-wrap input[type="tel"], 
     #ht-contactus-wrap input[type="range"], 
     #ht-contactus-wrap input[type="date"], 
     #ht-contactus-wrap input[type="month"], 
     #ht-contactus-wrap input[type="week"], 
     #ht-contactus-wrap input[type="time"], 
     #ht-contactus-wrap input[type="datetime"],
     #ht-contactus-wrap input[type="datetime-local"], 
     #ht-contactus-wrap input[type="color"],
     #ht-contactus-wrap select,
     #ht-contactus-wrap textarea,
     #ht-contactus-wrap input::placeholder,
     #ht-contactus-wrap textarea::placeholder,
    #ht-contactus-wrap select::placeholder {color: '.$ContactusformtextplaceColor.';}
    #ht-contactus-wrap input[type="text"], 
     #ht-contactus-wrap input[type="email"], 
     #ht-contactus-wrap input[type="url"], 
     #ht-contactus-wrap input[type="password"], 
     #ht-contactus-wrap input[type="search"], 
     #ht-contactus-wrap input[type="number"], 
     #ht-contactus-wrap input[type="tel"], 
     #ht-contactus-wrap input[type="range"], 
     #ht-contactus-wrap input[type="date"], 
     #ht-contactus-wrap input[type="month"], 
     #ht-contactus-wrap input[type="week"], 
     #ht-contactus-wrap input[type="time"], 
     #ht-contactus-wrap input[type="datetime"],
     #ht-contactus-wrap input[type="datetime-local"], 
     #ht-contactus-wrap input[type="color"],
     #ht-contactus-wrap select,
     #ht-contactus-wrap textarea {border-color: '.$ContactusformborderbottomColor.';}
    #ht-contactus-wrap input[type="submit"] {color: '.$ContactusformbtnColor.';}
     #ht-contactus-wrap input[type="submit"] {background-color: '.$ContactusformbtnbgColor.';}
     #ht-contactus-wrap input[type="submit"]:hover{color: '.$ContactusformbtnhoverColor.';}
    #ht-contactus-wrap input[type="submit"]:hover{background-color: '.$ContactusformbtnbghoverColor.';}
    #ht-contactus-wrap .contact-page-form{color: '.$ContactusformdtextColor.';}
    #ht-contactus-wrap h3 {color: '.$ContactussocialtitleColor.';}
    #ht-contactus-wrap .contact-sm-links li a {color: '.$ContactussocialColor.';}
    #ht-contactus-wrap .contact-sm-links li a {border-color: '.$ContactussocialborderColor.';}
  main#innerpage-box span.fa:hover{color: '.$ContactussocialhoverColor.';}
   #ht-contactus-wrap .contact-sm-links li a:hover{border-color: '.$ContactussocialborderhoverColor.';}
    .contact-mapbox iframe {background-color: '.$ContactusmapbgColor.';}';

    // $aboutusHeadingColor = get_theme_mod('lz_fitness_aboutus_page_HeadingColor', $primColor);
    // if($primColor == $aboutusHeadingColor){
    //     $aboutusHeadingColor = $headingColor;
    // }

    // $aboutusTextColor = get_theme_mod('lz_fitness_aboutus_page_TextColor', '#333333');
    // $custom_css .= '.lz-about-heading{color: '.$aboutusHeadingColor.';} .lz-about-text{color: '.$aboutusTextColor.';}';

    //facility heading & text color
    $facilityHeadingColor = get_theme_mod('lz_fitness_facility_HeadingColor', '#fff');
     $facilityHeadingbgColor = get_theme_mod('lz_fitness_facility_HeadingbgColor', '#ea70a1');
      $facilityHeadingoutlineColor = get_theme_mod('lz_fitness_facility_HeadingoutlineColor', '#ea70a1');
    $facilitySubHeadingColor = get_theme_mod('lz_fitness_facility_SubHeadingColor', '#2b2b2b');
    $facilityIconColor = get_theme_mod('lz_fitness_facility_IconColor', '#ea70a1');
    $facilityTitleevenColor = get_theme_mod('lz_fitness_facility_TitleevenColor', '#202020');
    $facilityTitleoddColor = get_theme_mod('lz_fitness_facility_TitleoddColor', '#fff');
    $facilityDescevenColor = get_theme_mod('lz_fitness_facility_DescevenColor', '#202020');
    $facilityDescoddColor = get_theme_mod('lz_fitness_facility_DescoddColor', '#fff');
    $facilityevenboxColor = get_theme_mod('lz_fitness_facility_evenboxColor', '#fff');
    $facilityoddboxColor = get_theme_mod('lz_fitness_facility_oddboxColor', '#6A1B9A');
 

    $custom_css .= 'h2.ht-section-title.lz-facility-heading{color: '.$facilityHeadingColor.';} 
    h2.ht-section-title.lz-facility-heading{background-color: '.$facilityHeadingbgColor.';} 
    h2.ht-section-title.lz-facility-heading{outline-color: '.$facilityHeadingoutlineColor.';}  
   #facility-content-section .lz-facility-subheading{color: '.$facilitySubHeadingColor.';} 
    #facility-content-section .facility-icon{color: '. $facilityIconColor.';}
    .facility-sec:nth-child(even) h5{color: '. $facilityTitleevenColor.';}
    .facility-sec:nth-child(odd) h5{color: '. $facilityTitleoddColor.';}
   .facility-sec:nth-child(even) .description{color: '. $facilityDescevenColor.';}
    .facility-sec:nth-child(odd) .description{color: '. $facilityDescoddColor.';}
     .facility-sec:nth-child(even){background-color: '. $facilityevenboxColor.';}
    .facility-sec:nth-child(odd){background-color: '. $facilityoddboxColor.';}';


    //services heading & text color
$servicesHeadingColor = get_theme_mod('lz_services_HeadingColor', '#4d4f4f');
   
$servicesTitleColor = get_theme_mod('lz_services_TitleColor', '#575757');
$servicesTitlehoverColor = get_theme_mod('lz_services_TitlehoverColor', '#fd9854');
$servicesTitleboxbackgroundColor = get_theme_mod('lz_services_TitleboxbackgroundColor', '#eaeaea');
$servicesboxbackgroundhoverColor = get_theme_mod('lz_services_boxbackgroundhoverColor', '#000000');
$servicesborderimghoverColor = get_theme_mod('lz_services_borderimghoverColor', '#eaeaea');

$servicesTitleservicebgssColor = get_theme_mod('lz_services_TitleservicebgssColor', '#ffffff');
$servicesTitleservicebgsshoverColor = get_theme_mod('lz_services_TitleservicebgsshoverColor', '#ffffff');

$custom_css .= '.lz-services-Post-heading{color: '.$servicesHeadingColor.';}
.services-post .services-data .post-title{color: '. $servicesTitleColor.';}
#services-post-section .services-post:hover h3.post-title{color: '. $servicesTitlehoverColor.';}
.services-post img{border-color: '. $servicesTitleboxbackgroundColor.';}
#services-post-section .services-post a:after{background-color: '. $servicesboxbackgroundhoverColor.';}
.services-post img:hover{border-color: '. $servicesborderimghoverColor.';}
.services-post .services-data {background-color: '. $servicesTitleservicebgssColor.';}
#services-post-section .services-post:hover .services-data {background-color: '. $servicesTitleservicebgsshoverColor.';}';


// gallery section

    $galleryHeadingColor = get_theme_mod('lz_fitness_gallery_HeadingColor', '#fff');
      $galleryHeadingbgColor = get_theme_mod('lz_fitness_gallery_HeadingbgColor', '#ea70a1');
        $galleryHeadingoutlineColor = get_theme_mod('lz_fitness_gallery_HeadingoutlineColor', '#ea70a1');
      $gallerySubHeadingColor = get_theme_mod('lz_fitness_gallery_SubHeadingColor', '#2b2b2b');
    $galleryimgborderColor = get_theme_mod('lz_fitness_gallery_imgborderColor', '#f1f0f0');
    $galleryimgborderhoverColor = get_theme_mod('lz_fitness_gallery_imgborderhoverColor', '#6A1B9A');
    $custom_css .= 'h2.ht-section-title.lz-gallery-heading{color: '.$galleryHeadingColor.';}
    h2.ht-section-title.lz-gallery-heading{background-color: '.$galleryHeadingbgColor.';}
    h2.ht-section-title.lz-gallery-heading{outline-color: '.$galleryHeadingoutlineColor.';}
   #ht-gallery-section .lz-gallery-subheading{color: '.$gallerySubHeadingColor.';}

    .lz-gallery-images img, .ht-gallery-member-image img{border-color: '.$galleryimgborderColor.';}
    .lz-gallery-images img:hover, .ht-gallery-member-image img:hover{border-color: '.$galleryimgborderhoverColor.';}';

    // featured heading & text color
 $featuredHeadingColor = get_theme_mod('lz_fitness_featured_HeadingColor', '#363636');
  $featuredTextColor = get_theme_mod('lz_fitness_featured_TextColor', '#363636');
 $featuredMainHeadingColor = get_theme_mod('lz_fitness_featured_MainHeadingColor', '#2b2b2b');

    $custom_css .= '#featured-post-section .featured-post h5{color: '.$featuredHeadingColor.';}.featured-excerpt {color: '.$featuredTextColor.';}h2.ht-section-title.lz-featured-heading{color: '.$featuredMainHeadingColor.';}';

    //
   
    // $featuredHeadingColor = get_theme_mod('lz_fitness_featured_HeadingColor', $primColor);
    // if($primColor == $featuredHeadingColor){
    //     $featuredHeadingColor = $headingColor;
    // }
    // $featuredTextColor = get_theme_mod('lz_fitness_featured_TextColor', '#333333');
    // $custom_css .= '.lz-featured-heading{color: '.$featuredHeadingColor.';} .lz-featured-text{color: '.$featuredTextColor.';}';

    //team heading & text color
     $teamHeadingColor = get_theme_mod('lz_fitness_team_HeadingColor', '#fff');
    $teamHeadingbgColor = get_theme_mod('lz_fitness_team_HeadingbgColor', '#ea70a1');
     $teamHeadingoutlineColor = get_theme_mod('lz_fitness_team_HeadingoutlineColor', '#ea70a1');
    $teamSubHeadingColor = get_theme_mod('lz_fitness_team_SubHeadingColor', '#2b2b2b');
     $teamTitleColor = get_theme_mod('lz_fitness_team_TitleColor', '#6A1B9A');
     $teamTitlehoverColor = get_theme_mod('lz_fitness_team_TitlehoverColor', '#EC5598');
     $teamDesignationColor = get_theme_mod('lz_fitness_team_designationColor', '#888');
     $teamSocialColor = get_theme_mod('lz_fitness_team_socialColor', '#777');
     $teamSocialhoverColor = get_theme_mod('lz_fitness_team_socialhoverColor', '#6A1B9A');
     $teamBoxbgColor = get_theme_mod('lz_fitness_team_boxbgColor', '#fff');
    $custom_css .= 'h2.ht-section-title.lz-team-heading{color: '.$teamHeadingColor.';} 
    h2.ht-section-title.lz-team-heading{background-color: '.$teamHeadingbgColor.';} 
    h2.ht-section-title.lz-team-heading{outline-color: '.$teamHeadingoutlineColor.';} 
   #ht-team-section .lz-team-subheading{color: '.$teamSubHeadingColor.';} 
    .ht-team-member h6{color: '.$teamTitleColor.';}
   .ht-team-member:hover .ht-title-wrap h6{color: '.$teamTitlehoverColor.';}
    #ht-team-section .team-member-designation, #innerpage-box  .team-member-designation{color: '.$teamDesignationColor.';}
   .ht-team-social-id a, #innerpage-box .ht-team-social-id a i{color: '.$teamSocialColor.';}
    .ht-team-social-id a:hover, #innerpage-box .ht-team-social-id a i:hover{color: '.$teamSocialhoverColor.';}
   .ht-title-wrap{background-color: '.$teamBoxbgColor.';}';

    
 $innerSerboxborcolor = get_theme_mod('lz_inner_Serboxborcolor', '#f79d58');
  $innerSerboxbgcolor = get_theme_mod('lz_inner_Serboxbgcolor', '#ffffff');
$innerSertitlecolor = get_theme_mod('lz_inner_Sertitlecolor', '#000000');
$innerSertitlehovcolor = get_theme_mod('lz_inner_Sertitlehovcolor', '#f79d58');
$innerSertextcolor = get_theme_mod('lz_inner_Sertextcolor', '#333333');
$innerSercontbgcolor = get_theme_mod('lz_inner_Sercontbgcolor', '#ffffff');


  

$custom_css .= '#content-box .about-post{border-color: '.$innerSerboxborcolor.';}
#content-box .about-post{background-color: '.$innerSerboxbgcolor.';}
#content-box .about-box h5 a{color: '.$innerSertitlecolor.';}
#content-box .about-box .details:hover h5 a{color: '.$innerSertitlehovcolor.';}
#content-box .about-box .about-excerpt p{color: '.$innerSertextcolor.';}
#content-box .about-box .details{background-color: '.$innerSercontbgcolor.';}

';


     //Banner heading & text color
    $bannerHeadingColor = get_theme_mod('lz_fitness_banner_HeadingColor', '#fff');
    $bannerHeadingbgColor = get_theme_mod('lz_fitness_banner_HeadingbbgColor', '#ea70a1');
    $bannerHeadingoutlineColor = get_theme_mod('lz_fitness_banner_HeadingoutlineColor', '#ea70a1');
    $bannerlefthighlightColor = get_theme_mod('lz_fitness_banner_leftboxhighlighttitleColor', '#fff');
    $bannerlefttitleColor = get_theme_mod('lz_fitness_banner_leftboxtitleColor', '#6A1B9A');
    $bannerlefttextColor = get_theme_mod('lz_fitness_banner_lefttextColor', '#fff');
     $bannerleftbtntextColor = get_theme_mod('lz_fitness_banner_leftbtnTextColor', '#fff');
    $bannerleftbtnbgColor = get_theme_mod('lz_fitness_banner_leftbtnbgColor', '#6A1B9A');
    $bannerleftbtnhoverColor = get_theme_mod('lz_fitness_banner_lrftbtnhoverColor', '#fff');
    $bannerleftbtnborderhoverColor = get_theme_mod('lz_fitness_banner_leftbtnborderhoverColor', '#6A1B9A');
    $bannerleftboxborderColor = get_theme_mod('lz_fitness_banner_leftboxborderColor', '#e4e4e4');

     $bannerrighthighlightColor = get_theme_mod('lz_fitness_banner_rightboxhighlighttitleColor', '#6A1B9A');
    $bannerrighttitleColor = get_theme_mod('lz_fitness_banner_righttboxtitleColor', '#4d4d4d');
     $bannerrightbtntextColor = get_theme_mod('lz_fitness_banner_rightbtnTextColor', '#fff');
    $bannerrightbtnbgColor = get_theme_mod('lz_fitness_banner_rightbtnbgColor', '#6A1B9A');
    $bannerrightbtnhoverColor = get_theme_mod('lz_fitness_banner_rightbtnhoverColor', '#fff');
    $bannerrightbtnborderhoverColor = get_theme_mod('lz_fitness_banner_rightbtnborderhoverColor', '#6A1B9A');
    $bannerrightboxborderColor = get_theme_mod('lz_fitness_banner_rightboxborderColor', '#e4e4e4');


    $custom_css .= '#banner-content-section .lz-banner-heading{color: '.$bannerHeadingColor.';}
    #banner-content-section .lz-banner-heading{background-color: '.$bannerHeadingbgColor.';}
    #banner-content-section .lz-banner-heading{outline-color: '.$bannerHeadingoutlineColor.';}
    .bannerbox .lz-banner-maintitlehightlight{color: '.$bannerlefthighlightColor.';}
   .bannerbox .lz-banner-maintitle{color: '.$bannerlefttitleColor.';}
   .bannerbox .lz-banner-text{color: '.$bannerlefttextColor.';}
   #banner-content-section .readmore a{color: '.$bannerleftbtntextColor.';}
   #banner-content-section .readmore a{background-color: '.$bannerleftbtnbgColor.';}
   #banner-content-section .readmore a:hover{color: '.$bannerleftbtnhoverColor.';}
  #banner-content-section .readmore a:hover{border-color: '.$bannerleftbtnborderhoverColor.';}
  .banner-img-box img{border-color: '.$bannerleftboxborderColor.';}

  .right-bannerbox .right-databox span{color: '.$bannerrighthighlightColor.';}
   .right-bannerbox .right-databox h5{color: '.$bannerrighttitleColor.';}
  #banner-content-section .banner-readmore a{color: '.$bannerrightbtntextColor.';}
  #banner-content-section .banner-readmore a{background-color: '.$bannerrightbtnbgColor.';}
  #banner-content-section .banner-readmore a:hover{color: '.$bannerrightbtnhoverColor.';}
 #banner-content-section .banner-readmore a:hover{border-color: '.$bannerrightbtnborderhoverColor.';}
 .banner-icon img{border-color: '.$bannerrightboxborderColor.';}';

    //gym heading & text color
    // timing and address section
     $timingHeadingColor = get_theme_mod('lz_fitness_gym_HeadingColor', '#323232');
     $timingTextColor = get_theme_mod('lz_fitness_gym_TextColor', '#232222');
    $custom_css .= '.lz-gym-heading{color: '.$timingHeadingColor.';} 
    .lz-fitness-time .days-time-day-time{color: '.$timingTextColor.';}';
   
// featured product section heading & text color
    $featuredproductHeadingColor = get_theme_mod('lz_fitness_featured_product_HeadingColor', '#ea70a1');
    $featuredproductHeadingbgColor = get_theme_mod('lz_fitness_featured_product_HeadingbgColor', '#fff');
    $featuredproductHeadingoutlineColor = get_theme_mod('lz_fitness_featured_product_HeadingoutlineColor', '#fff');
    $featuredproductSubHeadingColor = get_theme_mod('lz_fitness_featured_product_SubHeadingColor', '#fff');
    $featuredproductNameColor = get_theme_mod('lz_fitness_featured_product_NameColor', '#161616');
    $featuredproductRPriceColor = get_theme_mod('lz_fitness_featured_product_regulerpriceColor', '#000');
    $featuredproductSpriceColor = get_theme_mod('lz_fitness_featured_product_salepriceColor', '#000');
    $featuredproductSpricebgColor = get_theme_mod('lz_fitness_featured_product_salepricebgColor', '#ffcec5');
    $featuredproductbtnColor = get_theme_mod('lz_fitness_featured_product_btnColor', '#fff');
     $featuredproductbtnbgColor = get_theme_mod('lz_fitness_featured_product_btnbgColor', '#6A1B9A');
    $featuredproductbtnborderColor = get_theme_mod('lz_fitness_featured_product_btnborderColor', '#6A1B9A');   
    $featuredproductbtnbghoverColor = get_theme_mod('lz_fitness_featured_product_btnhoverbgColor', '#6A1B9A');
     $featuredproductbtninnerbghoverColor = get_theme_mod('lz_fitness_featured_product_btnhoverbginnerColor', '#000');
    $featuredproductbtnborderhoverColor = get_theme_mod('lz_fitness_featured_product_btnborderhoverColor', '#6A1B9A');
    $featuredproductContentboxColor = get_theme_mod('lz_fitness_featured_product_contentboxColor', '#fff');
    $featuredproductimgborderColor = get_theme_mod('lz_fitness_featured_product_imageborderColor', '#f1f0f0');
    $featuredproductboxborderColor = get_theme_mod('lz_fitness_featured_product_productboxborderColor', '#ccc');
    $featuredarrowColor = get_theme_mod('lz_fitness_featured_product_arrowColor', '#fff');
    $featuredarrowborderColor = get_theme_mod('lz_fitness_featured_product_arrowborderColor', '#fff');
    $featuredarrowhoverColor = get_theme_mod('lz_fitness_featured_product_arrowhoverColor', '#000');
    $featuredarrowborderhoverColor = get_theme_mod('lz_fitness_featured_product_arrowborderhoverColor', '#000');
    
    $custom_css .= '#featured-product-section .lz-featured-product-heading{color: '.$featuredproductHeadingColor.';}
    #featured-product-section .lz-featured-product-heading{background-color: '.$featuredproductHeadingbgColor.';}
    #featured-product-section .lz-featured-product-heading{outline-color: '.$featuredproductHeadingoutlineColor.';}
    #featured-product-section .lz-featured-product-subheading{color: '.$featuredproductSubHeadingColor.';}
    .total-product-title-wrap h6{color: '.$featuredproductNameColor.';}
    #recent-porduct .price del span.woocommerce-Price-amount{color: '.$featuredproductRPriceColor.';}
    #recent-porduct .price ins span.woocommerce-Price-amount{color: '.$featuredproductSpriceColor.';}
    #recent-porduct .price ins span.woocommerce-Price-amount{background-color: '.$featuredproductSpricebgColor.';}
    .total-product-title-wrap .add-to-cart a{color: '.$featuredproductbtnColor.';}
   .featuredeff-10{border-color: '.$featuredproductbtnbgColor.';}
    .add-to-cart{border-color: '.$featuredproductbtnborderColor.';}
     .add-to-cart:hover .featuredeff-10 {border-color: '.$featuredproductbtnbghoverColor.';}
     #recent-porduct .add-to-cart:hover {background-color: '.$featuredproductbtninnerbghoverColor.';}
    #recent-porduct .add-to-cart:hover{border-color: '.$featuredproductbtnborderhoverColor.';}

    .total-product-title-wrap{background-color: '.$featuredproductContentboxColor.';}
    .pro-img img{border-color: '.$featuredproductimgborderColor.';}
    #recent-porduct{border-color: '.$featuredproductboxborderColor.';}
    .ctrl-btn{color: '.$featuredarrowColor.';}
   .ctrl-btn.pro-next, .ctrl-btn.pro-prev{border-color: '.$featuredarrowborderColor.';}
     .ctrl-btn:hover{color: '.$featuredarrowhoverColor.';}
   .ctrl-btn.pro-next:hover, .ctrl-btn.pro-prev:hover{border-color: '.$featuredarrowborderhoverColor.';}';

    $custom = get_post_custom( $post->ID );

    $image_id = get_post_meta( $post->ID, '_listing_image_id', true );
    $thumbnail_html = wp_get_attachment_image_src( $image_id, 'larger');

    // echo '<pre />'; print_r($custom);
    if(!empty($custom['useColor']) && $custom['useColor'][0]==1){
        if( isset( $custom['page_bg_color'][0] ) ){
            $custom_css .= '#innerpage-box{background-color:'.$custom['page_bg_color'][0].';}';
        }
    }else{
        if( isset( $custom['_listing_image_id'][0]) ){
            $custom_css .= '#innerpage-box{background-image: url(\''.$thumbnail_html[0].'\');background-position: center;background-attachment: fixed;background-origin: content-box;background-size: cover;}';
        }
    }


    $custom_css .='.border{border:1px solid #fff;}';

    return punte_css_strip_whitespace($custom_css);
}